IRQ_CHIP_RETRIGGER_H(9)

NAME
irq_chip_retrigger_hierarchy - Retrigger an interrupt in hardware

SYNOPSIS

int irq_chip_retrigger_hierarchy(struct irq_data * data);

ARGUMENTS

data
    Pointer to interrupt specific data

DESCRIPTION

Iterate through the domain hierarchy of the interrupt and check whether a hw retrigger function exists. If yes, invoke it.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT